Package be.vlaanderen.mercurius.mohm.common.v7

# Class PushDecisionRequestCUType

java.lang.Object
be.vlaanderen.mercurius.mohm.common.v7.PushDecisionRequestCUType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:19:48+02:00", comments="JAXB RI v4.0.5") public class PushDecisionRequestCUType extends Object implements Serializable
Groeperend element voor de beslissing van een aanvraag in de push naar een zorgkas.

Java class for PushDecisionRequestCUType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="PushDecisionRequestCUType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="VSBReference" type="{http://www.mercurius.vlaanderen.be/wzcmh/common/v3}VSBReferenceType"/>
             <element name="DecisionApplication" type="{http://www.mercurius.vlaanderen.be/mohm/common/v7}DecisionApplicationCUType"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PushDecisionRequestCUType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `DecisionApplicationCUType`
  `getDecisionApplication()`
  Groeperend element met informatie over de beslissing van de aanvraag.
  `String`
  `getVSBReference()`
  Unieke identificatie van de aanvraag waarvoor de beslissing aanvraag gemeld wordt.
  `void`
  `setDecisionApplication(DecisionApplicationCUType value)`
  Sets the value of the decisionApplication property.
  `void`
  `setVSBReference(String value)`
  Sets the value of the vsbReference property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### PushDecisionRequestCUType

    public PushDecisionRequestCUType()

- ## Method Details

  - ### getVSBReference

    public String getVSBReference()
    Unieke identificatie van de aanvraag waarvoor de beslissing aanvraag gemeld wordt.
    Returns:
      possible object is `String`

  - ### setVSBReference

    public void setVSBReference(String value)
    Sets the value of the vsbReference property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getVSBReference()`

  - ### getDecisionApplication

    public DecisionApplicationCUType getDecisionApplication()
    Groeperend element met informatie over de beslissing van de aanvraag.
    Returns:
      possible object is `DecisionApplicationCUType`

  - ### setDecisionApplication

    public void setDecisionApplication(DecisionApplicationCUType value)
    Sets the value of the decisionApplication property.
    Parameters:
      `value` - allowed object is `DecisionApplicationCUType`
    See Also:
      - `getDecisionApplication()`